<form nz-form [formGroup]="form" style="margin-bottom: 8px">
    <div nz-row [nzGutter]="[30,30]">
        <!--    Form tìm kiếm -->

        <!-- Loại hợp đồng -->
        <div nz-col nzXs="12" nzLg="6">
            <mb-select-check-able
                [mbShowAction]="false"
                [mbDataSelects]="contractTypes"
                (mbEventEmit)="setFormValue($event, 'contractType')"
                formControlName="contractType"


                mbPlaceholder="{{'partnership.pns-contract.searchForm.contractType' | translate }}"
                mbLabelText="{{'partnership.pns-contract.searchForm.contractType' | translate}}"
            ></mb-select-check-able>
        </div>

        <!--Đơn vị-->
        <div nz-col nzXs='12' nzLg='6'>
            <org-data-picker
                mbLabelText="{{'partnership.pns-contract.searchForm.organization' | translate}}"
                formControlName='orgId'
                [functionCode]="functionCode"
                [scope]="scope"
            >
            </org-data-picker>
        </div>

        <!-- Trạng thái -->
        <div nz-col nzXs="12" nzLg="6">
            <mb-select-check-able
                [mbDataSelects]="statuses"
                [mbShowAction]="false"
                (mbEventEmit)="setFormValue($event, 'status')"
                formControlName="status"


                mbPlaceholder="{{'partnership.pns-contract.searchForm.status' | translate }}"
                mbLabelText="{{'partnership.pns-contract.searchForm.status' | translate}}"
            ></mb-select-check-able>
        </div>

        <!-- Chức danh -->
        <div nz-col nzXs="12" nzLg="6">
            <mb-select-check-able
                [mbDataSelects]="positions"
                [mbShowAction]="false"
                (mbEventEmit)="setFormValue($event, 'position')"
                formControlName="position"

                mbPlaceholder="{{'partnership.pns-contract.searchForm.positionName' | translate}}"
                mbLabelText="{{'partnership.pns-contract.searchForm.positionName' | translate}}"
            ></mb-select-check-able>
        </div>

        <!-- Mã nhân viên -->
        <div nz-col nzXs="12" nzLg="6">
            <mb-input-text
                formControlName="employeeCode"

                [mbMaxLength]="200"
                mbPlaceholderText="{{'partnership.pns-contract.searchForm.empCode' | translate}}"
                mbLabelText="{{'partnership.pns-contract.searchForm.empCode' | translate}}"
            ></mb-input-text>
        </div>

        <!-- Tên nhân viên -->
        <div nz-col nzXs="12" nzLg="6">
            <mb-input-text
                formControlName="fullName"

                [mbMaxLength]="200"
                mbPlaceholderText="{{'partnership.pns-contract.searchForm.empName' | translate}}"
                mbLabelText="{{'partnership.pns-contract.searchForm.empName' | translate}}"
            ></mb-input-text>
        </div>

        <!-- Ngày đăng ký từ -->
        <div nz-col nzXs="12" nzLg="6">
            <mb-date-picker
                formControlName="fromDate"
                mbLabelText="{{'partnership.pns-contract.searchForm.fromDate' | translate}}"
                mbPlaceholderText="{{'partnership.pns-contract.searchForm.fromDate' | translate}}"

                [mbType]="(isSubmitted && form.controls['fromDate'].errors || form.errors?.rangeDateError) ? 'error' : 'default'"
                [mbShowError]="(isSubmitted && form.controls['fromDate'].errors || form.errors?.rangeDateError) !== null"
                [mbErrors]="form.errors?.rangeDateError ? form.errors : form.controls['fromDate'].errors"
                [mbErrorDefs]="[{ errorName: 'rangeDateError', errorDescription: 'partnership.validate.rangeDate.pareDate' | translate:{'fromDate': 'partnership.pns-contract.searchForm.fromDate' | translate, 'toDate': 'partnership.pns-contract.searchForm.toDate' | translate}}]"
            ></mb-date-picker>
        </div>

        <!-- Ngày đăng ký đến -->
        <div nz-col nzXs="12" nzLg="6">
            <mb-date-picker
                formControlName="toDate"
                mbLabelText="{{'partnership.pns-contract.searchForm.toDate' | translate}}"
                mbPlaceholderText="{{'partnership.pns-contract.searchForm.toDate' | translate}}"

                [mbType]="isSubmitted && form.controls['toDate'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['toDate'].errors !== null"
                [mbErrors]="form.controls['toDate'].errors"
            ></mb-date-picker>
        </div>

        <!--    End Form tìm kiếm-->
    </div>
    <div nz-row [nzGutter]="[30,30]">
        <div nz-col nzXs="24" nzLg="24">
            <ng-content select=".btn"></ng-content>
        </div>
    </div>
</form>
